<HTML>
<title>
   LEER XML
</title>

<BODY>
<?php
ini_set("display_errors", "off");
//*********************************************************************
//Funcion que Lee el Archivo XML
//*********************************************************************

function LeerArchivoXML($archivo) {

	//conexion a la BD
	include_once("conexion.php");

	//Conexión con el servidor
	$link=ConectarseServidor();

	//Conexión con la base de datos
	ConectarseBaseDatos($link);
    
	//llamado a funcion que lee archivo xml
	$doc = simplexml_load_file($archivo);
	
	//declara variables
	$text = "";
	
	//realiza ciclo para obtener los datos del xml a partir de los item
	foreach ($doc->datos as $result) :
	
	    //asigna los datos a las variables respectivas
		$login 	   			= $result -> login;
		$clave 	   			= $result -> clave;
		$nombre    			= $result -> nombre;
		$apellido  			= $result -> apellido;
		$direccion 			= $result -> direccion;
		$telefono  			= $result -> telefono;
		$celular   			= $result -> celular;
		$email     			= $result -> email;
		$idperfil     		= $result -> idperfil;
		$control_sesion     = $result -> control_sesion;
		//obtiene la informacion util
		$text .= '<br>'.$login.' - '.$clave.' - '.$nombre.' - '.$apellido.' - '.$direccion.' - '.$telefono.' - '.$celular.' - '.$email.' - '.$idperfil.' - '.$control_sesion.'<br><hr>';

		//Se ingresan los datos a la BD
		$sql = "insert into usuario (login,clave,nombre,apellido,direccion,telefono,celular,email,idperfil,control_sesion) values 
		       ('$login','$clave','$nombre','$apellido','$direccion','$telefono','$celular','$email',$idperfil,$control_sesion)";  
		$resultado=mysql_query($sql,$link);

	//fin del ciclo	
	endforeach;
	
	//retora el resultado
	return $text;
}

 //***********************************************************************
 //LLamado a Funcion que Lee el XML
 echo LeerArchivoXML("Usuario.xml");
 //***********************************************************************
	
 //Muestra Mensaje de Almacenamiento Exitoso en la BD
 $sbCadena =  "<script language='javascript'>";
 $sbCadena .= "alert(  'Datos Ingresados a la BD con Exito' )";
 $sbCadena .= "</script>";
 echo $sbCadena;


?>
</BODY>
</HTML>
